Package be.ehealth.technicalconnector.beid.domain

# Enum Class SpecialOrganisation

java.lang.Object
java.lang.Enum<SpecialOrganisation>
be.ehealth.technicalconnector.beid.domain.SpecialOrganisation

All Implemented Interfaces:
  `Serializable`, `Comparable<SpecialOrganisation>`, `java.lang.constant.Constable`

public enum SpecialOrganisation extends Enum<SpecialOrganisation> implements Serializable
Special Organisation enumeration

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FORMER_BLUE_CARD_HOLDER`
  Former blue card holder
  `NATO`
  Nato
  `RESEARCHER`
  Researcher
  `SHAPE`
  Shape
  `UNKNOWN`
  Unknown
  `UNSPECIFIED`
  Unspecified

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getKey()`
  `static SpecialOrganisation`
  `toSpecialOrganisation(String key)`
  Transforms a string into a SpecialOrganisation
  `static SpecialOrganisation`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SpecialOrganisation[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### UNSPECIFIED

    public static final SpecialOrganisation UNSPECIFIED
    Unspecified

  - ### SHAPE

    public static final SpecialOrganisation SHAPE
    Shape

  - ### NATO

    public static final SpecialOrganisation NATO
    Nato

  - ### FORMER_BLUE_CARD_HOLDER

    public static final SpecialOrganisation FORMER_BLUE_CARD_HOLDER
    Former blue card holder

  - ### RESEARCHER

    public static final SpecialOrganisation RESEARCHER
    Researcher

  - ### UNKNOWN

    public static final SpecialOrganisation UNKNOWN
    Unknown

- ## Method Details

  - ### values

    public static SpecialOrganisation[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SpecialOrganisation valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getKey

    public String getKey()
    Returns:
      the key

  - ### toSpecialOrganisation

    public static SpecialOrganisation toSpecialOrganisation(String key)
    Transforms a string into a SpecialOrganisation
    Parameters:
      `key` - the key value
    Returns:
      the special organisation